# $Revision: 1.6 $, $Date: 2009/11/12 20:26:03 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	LockedFile
Summary:	IO::LockedFile - supply object methods for locking files
Summary(pl.UTF-8):	IO::LockedFile - metody obiektów do blokowania blików
Name:		perl-IO-LockedFile
Version:	0.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f447f67ac7c9f42d86d07ca7477cdec6
URL:		http://search.cpan.org/dist/IO-LockedFile/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In its simplistic use, the IO::LockedFile class gives us the same
interface of the IO::File class with the unique difference that the
files we deal with are locked using the Flock mechanism (using the
flock function).

%description -l pl.UTF-8
W najprostszym zastosowaniu klasa IO::LockedFile udostępnia ten sam
interfejs, co klasa IO::File z jedyną różnicą polegającą na tym, że
pliki są blokowane przy użyciu mechanizmu Flock (przy użyciu funkcji
flock).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/*.pm
%{perl_vendorlib}/IO/LockedFile
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-LockedFile.spec,v $
Revision 1.6  2009/11/12 20:26:03  amateja
- release 1

Revision 1.5  2008/02/25 21:49:26  qboosh
- generic URL

Revision 1.4  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.2  2005/11/02 23:59:00  qboosh
- pl

Revision 1.1  2005/10/30 19:17:56  glen
- new
